> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onboard.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Profile



## OpenAPI

````yaml get /exchange/api/info
openapi: 3.0.3
info:
  version: 2.1.0
  title: Onboard External API Gateway
  description: >-
    **Introduction**

    API Gateway for Onboard


    This specification describes API endpoints that are available to the public
    internet via the API gateway. The different endpoints require different
    authentication schemes, see documentation for what applies to the operation
    you want to access.


    **Errors**

    Uses conventional HTTP response codes to indicate success or failure. In

    general:
     
    - `2xx` status codes indicate success. Codes in the

    - `4xx` range

    indicate a client error (e.g. required parameters, failed request etc.).

    - `5xx` status codes indicate a server error occurred.
  contact:
    name: Nestcoin TechOps
    email: techops@nestcoin.com
  license:
    name: UNLICENSED
servers:
  - url: https://external.dev.onboardpay.co
    description: Gateway for external API on staging environment.
security: []
tags:
  - name: users-onboardapi
    description: Endpoints available to for merchants liquidity automation
  - name: users-users
    description: User related endpoints
  - name: users-partners
    description: Partner related endpoints
  - name: users-admin
    description: Back office related endpoints
  - name: users-user2fa
    description: User 2fa related endpoints
  - name: users-usernotifications
    description: User notifications related endpoints
  - name: users-merchantnetwork
    description: Merchant network endpoints
  - name: users-userauth
    description: Authentication endpoints
  - name: users-userservice
    description: Service endpoints
  - name: users-webhook
    description: webhook endpoints
paths:
  /exchange/api/info:
    get:
      tags:
        - exchange-external-api
      summary: Get CEX Profile
      operationId: queryMyBusinessInfo
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CexProfileDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
      security:
        - authToken: []
components:
  schemas:
    CexProfileDto:
      required:
        - businessId
        - businessLocation
        - businessName
        - businessPhoneNumber
        - businessWebsiteUrl
        - createdAt
        - updatedAt
      type: object
      properties:
        businessId:
          type: string
          description: General format for UUID
          format: uuid
          example: 3a5aaea8-504a-4404-ad3d-b82574fba5e5
        businessName:
          type: string
          description: Registered name of business entity
          example: Onabord exchange
        businessEmail:
          type: string
          format: email
          description: Business profile email address
        businessLocation:
          type: string
          description: business full location address
        businessWebsiteUrl:
          type: string
          description: HTTP link to business website
          format: url
        businessPhoneNumber:
          pattern: \+[1-9][0-9]{0,3}[0-9]{7,14}
          type: string
          description: Phone number field.
        businessRegNo:
          type: string
          description: Business registration number (if any)
        businessRegCountry:
          type: string
          description: Business country of registration (if any)
        businessLogoUrl:
          type: string
          description: HTTP link to business image logo
          format: url
        businessFormationDate:
          type: string
          description: Date the business entity was formed
          format: date
        businessType:
          type: string
        businessIndustry:
          type: string
        enabledProducts:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
          description: Timestamp field.
          x-faker: date.recent
        updatedAt:
          type: string
          format: date-time
          description: Timestamp field.
          x-faker: date.recent
      description: CEX user profile object
    ErrorMessageDto:
      description: >-
        Default error object for services. This gives consistent error object
        that all services may use.
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: UNKNOWN_ERROR
        message:
          type: string
          description: Descriptive error message
          example: Request could not be completed due to an error
        data:
          type: object
          description: Additional data for this error message.
          additionalProperties: true
          properties: {}
      x-common-model: ErrorMessageDto
  securitySchemes:
    authToken:
      type: apiKey
      name: x-auth-token
      in: header

````